Introduction

[Main] [Next]

Thank you for using LanSpeed2 !

LanSpeed2 is Freeware!

Copyright 2002 OrcaSoft

The main purpose of this program is to monitor any traffic that is using a LAN adapter.
(This is your Ethernet or Tokenring network card)

It will not monitor dial-up or modem connections!

Legal stuff:
Use this software at your own risk. OrcaSoft cannot be held liable
for any damage, consequential or actual, to hardware, software or data
because of the use of this software. OrcaSoft allows you to put
this freeware version of LanSpeed2 software on your homepage for
downloading or give it to a friend, only if you leave it as it is.
You shall not, and will not, reverse engineer or sell this Software,
without contacting and receiving written authorization/permission from OrcaSoft first.

System requirements to use LanSpeed2:

  • Windows 98, Millennium, XP, 2000 or NT4 with service pack 4 or greater.

  • A correctly installed LAN adapter.

  • Microsoft Visual Basic 6.0 runtime files (SP5) have to be installed.

(You can download them for free from here )

Basic operation:

When you first start LanSpeed2 you will be prompted to set the LAN adapter you would like to monitor.
Right-click the tray icon and the option screen will appear where you can set this option.

Note : A LAN adapter will not be displayed if it is disabled in Device Manager!

Click here if you want to know more about the available options

After you have set the LAN adapter and closed the option screen a new trayicon will be added to your taskbar
and in the top-right corner of your screen you will see:

The main LanSpeed2 window

Resizing:
The main window can be resized by dragging the right and bottom edges.

Moving:
You can move the window by left clicking it and dragging it with your mouse.

Hiding:
To hide the window double-click it with the left mouse.

Details:
To show or hide additional details, right click the window.

  • The (in this case) red bars display the outgoing traffic also known as upload.

  • The (in this case) lime bars display the incoming traffic also known as download.

  • The grid lines (in this case white/teal) indicate the current range that the graph is displaying.

The graph has an auto size feature. If values become too high to display,
the graph will auto adjust its range to be able to display these values.
As the traffic increases, the grid range will zoom out and shows you that the values have increased.
When the maximum value drops it will zoom in again.

The amount of traffic is also shown as numbers below the grid.

All values are shown as values according to the binary system .
LanSpeed2 measures the octets received and sent by your adapter.

LanSpeed2 can display these values:

  • Current In/Out:

Bytes per second over the last refresh-interval.
This will change to KB, MB, GB or TB depending on the amount of traffic.

  • Maximum In/Out:

The highest value displayed in the graph in Bytes per second.
This will change to KB, MB, GB or TB depending on the amount of traffic.

  • Average In/Out:

The average speed in Bytes per second, measured over all values displayed in the graph.
This will change to KB, MB, GB or TB depending on the amount of traffic.

  • Total Today:

Total Bytes received and send on the current day.
This will change to KB, MB, GB or TB depending on the amount of traffic.

Note: This value will be reset after 24:00 Hour

  • Total Session:

Total Bytes received and send since you last Windows restart.
This will change to KB, MB, GB or TB depending on the amount of traffic.

Note: This value will be reset on every Windows restart.

Warning:

Due to a limitation of Windows it's not possible to display values above 4294967296 bytes. This equals around 4 Gigabytes. When LanSpeed2 reaches this value numbers will either become negative or will not display the correct values anymore. The only way to cure this is to restart Windows!


TrayIcon

The TrayIcon

[Previous] [Next]

After you have started LanSpeed2 you will see a new icon in your taskbar:

Functions of the tray icon:

When there is upload or download traffic this icon will change its appearance:

There is no traffic at all.

There is only download traffic.

There is only upload traffic.

There is both upload and download traffic.

  • Hover the mouse over this icon, and a tooltip will display the current up- and download speeds

Note that the tooltip will not be updated while you hover the mouse over the icon.

  • Left-click the trayicon to bring up the main window

  • Right-click the trayicon to bring up this menu:


Options

This topic will explain all the options that can be set for LanSpeed2.

Select Adapters to monitor >

You will have to select at least one adapter here before LanSpeed2 will show anything. It's possible to select more adapters at the same time, the values displayed will be added for all adapters.

Note:

Even if you selected multiple adapters the log file will still display the individual values for each adapter.

Set Number of bars / points >

Allows you to set the amount of displayed bars or points.
If you use a small window set this to a lower value, if you like a large window increase the value to have a better resolution.

Note:

This will also increase or decrease the time it takes to do a full cycle.

Example.: if you use a 2 second interval and 120 points,
it will take 2 * 120 = 240 seconds or 4 minutes to do a full cycle. Keep in mind that the average values are calculated over this time.

Set DrawStyle >

In this menu you can change the look and feel of LanSpeed2

Bars

The graphical display will be presented as bars.

Connected dots

The graphical display will be presented as lines with a dot on the measured values.

Lines

The graphical display will be presented as lines.

Hide Upload

Only removes the drawing of graphical values for uploads

Hide Download

Only removes the drawing of graphical values for downloads

Note:

When both of these values are checked your will be asked to hide the graph al together. Only the numeric values are shown if you answer with yes. Use the [Open / Restore window] from the menu to make the menu visible again.

Move upload to top

If you are confused by the mixed values in the graph, select this to show the up an download values in a split screen. Note that the upload will be displayed from top to bottom.
The range values will be replaced by the maximum up and download values.

Minimize range

If you don't want to see the range values, select this to make the range window smaller. The range will display the maximum range in a vertical fashion. If the the upload is on top then this is the combined value of max up and max download.

Hide range

Select this if you don't want to see the range window at all.
The graph will be displayed at full window width.

Use gradient background

This will draw a gradient background depending on the color set for Background and Gridcolor.

Use anti-aliasing on lines

This will reduce the edges on lines in the graph.

Note:

This works best when you have a light colored background!
Do not use this if you have a slow computer, it takes up more processor time when used.

Update Speed >

This is the time LanSpeed2 waits before it will shift the graph to the left. Note that the current traffic is always displayed in the first bar to the right even if this interval is set to a high value.
(might be hard to see if you have a small window and 120 point selected)

Set Colors >

Play around with these settings until you find a color scheme that you like.

Number of gridlines >

Sets the division of the range values.
This has no effect if the Upload is on top or the range has been minimized.

Set Transparency >

Make the main window become "see-trough".

Note:

This only works if you use Windows 2000 or XP.

Reset Graph

This will clear the graph and resets the range.
Use this if a temporarily peak messed up your display.

Logfile settings >

Enabled

Enables LanSpeed2 to update the logfile.

New Logfile

Erases any current logfile and creates a new one.

View Logfile

Opens the logfile viewer.

Log Update Interval >

Sets the time before a new entry is made to the logfile

Open / Restore Main Window

Shows the graphical display window and restores the graph if it was hidden.

Always on Top

When set, LanSpeed2 will always be shown as the top window.
If enabled the menu will be marked with an ' * '.

Start Minimized

When set, LanSpeed2 will not show the main window on startup, only the tray icon will be loaded.

Start with windows

When set this will write an entry to the Windows registry that will launch LanSpeed2 automatically every time you start Windows.

Note:

If you plan to uninstall LanSpeed2 make sure to remove this setting first!

About LanSpeed2

Will show the about window.
This window has active links to my websites or you can send me a mail by clicking the Email link.

Exit

I wonder what this will do ;)


Log viewer

Log file Viewer

This topic will explain the logfile viewer for LanSpeed2.

The log viewer is a handy tool to monitor your network or Internet usage.

On the left side select a day, month or year to display the total traffic for that period.
All adapters that were monitored during that period will be listed.

Refresh will update and display the latest values, overriding the default update interval.

New Logfile will delete the current logfile and starts a new one.

Note:

In order to have accurate traffic totals, set the [Start with Windows] option in the menu.
If LanSpeed2 is not running it will not update the logfile!
The values for the Windows Session can not be separated in days, therefore LanSpeed2 uses it's own monitor.


Processor time

Processor Time used by LanSpeed2

Of course like any other program LanSpeed2 will use some of your processor time.
At the default settings about 2% of your total processor time will be used by LanSpeed2
(measured on a 1000 MHz system).
For comparison, if you move the mouse in circles across the screen it will use about 25%!

Please consider this when using LanSpeed2:

  • The faster the update speed, the more processor time will be used.

  • The more points or bars are displayed, the more processor time will be used.

  • When you increase the main window's width, more memory and processor time will be used.

  • Using a gradient background will use more processor time.

  • Using Anti-aliasing will use more processor time.

  • Fast logfile updates will require more processor time and disk writes.


Bytes

LanSpeed2 uses the binary system to display byte values.
This is the same system used to display the diskspace on
your computer.

  • 1 byte (B) = 8 bits (b) = 1 octet

  • 1 Kilobyte (K / KB) = 2^10 bytes = 1,024 bytes

  • 1 Megabyte (M / MB) = 2^20 bytes = 1,048,576 bytes

  • 1 Gigabyte (G / GB) = 2^30 bytes = 1,073,741,824 bytes

  • 1 Terabyte (T / TB) = 2^40 bytes = 1,099,511,627,776 bytes


Contact

[Previous] [Main]

If you have suggestions, found any bugs or just would like to flatter me,
you can send your emails to: orca2@chello.nl

Visite one of our websites: http://orca.web1000.com/ or http://httpd.chello.nl/~m.vanosta/orcasoft/

If you like this program and would like to make a small donation send it to:

OrcaSoft/P.A.:

René van Osta
De Jongsingel 28
5492 CS Sint-Oedenrode (N-Br)
The Netherlands

Please do not send checks or money orders!
Instead please send cash in a sealed envelope.

The cost by Dutch banks to handle foreign checks can be as high as $US8 per check!
If you have an e-mail account, please include your e-mail address so I can thank you and keep you up to date!